<?php
/*
Plugin Name: افزونه فاکتور ساز و API حسابداری سبحان
Description: افزونه سبحان به صورت رایگان برای شما فاکتور و برچسب پست تولید گرده و فروشگاه ووکامرس شما را به نرم افزار حسابداری سبحان وصل می کند.
Version: 1.8.6
Author: VahidHashemi_MihanSamaneh
*/

// Define constants
define('ACCOUNTING_API_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('ACCOUNTING_API_PLUGIN_URL', plugin_dir_url(__FILE__));

// Include necessary files
require_once ACCOUNTING_API_PLUGIN_DIR . 'includes/api.php';
require_once ACCOUNTING_API_PLUGIN_DIR . 'admin/settings.php';
require_once ACCOUNTING_API_PLUGIN_DIR . 'admin/stock.php';
require_once ACCOUNTING_API_PLUGIN_DIR . 'admin/shipping-label.php';
require_once ACCOUNTING_API_PLUGIN_DIR . 'admin/invoice.php';
require_once ACCOUNTING_API_PLUGIN_DIR . 'includes/invoice.php';
require_once ACCOUNTING_API_PLUGIN_DIR . 'includes/shipping-label.php';
require_once ACCOUNTING_API_PLUGIN_DIR . 'includes/stock-updater.php';
require_once ACCOUNTING_API_PLUGIN_DIR . 'includes/order-api-sender.php';


// Enqueue scripts for media uploader
add_action('admin_enqueue_scripts', 'accounting_api_enqueue_media_uploader');
function accounting_api_enqueue_media_uploader() {
    wp_enqueue_media();
    wp_enqueue_script('accounting-api-media-uploader', ACCOUNTING_API_PLUGIN_URL . 'assets/media-uploader.js', array('jquery'), null, true);
}

// افزودن تابع به هک WooCommerce برای ارسال سفارش به API
add_action('woocommerce_order_status_processing', 'send_order_to_accounting_api_on_processing', 10, 1);

function send_order_to_accounting_api_on_processing($order_id) {
    // بررسی صحت ID سفارش
    if (!$order_id) {
        error_log('Order ID is missing in processing hook.');
        return;
    }

    error_log('Processing order ID: ' . $order_id);

    // ارسال سفارش به API
    $result = send_order_to_accounting_api($order_id);

    // بررسی نتیجه و انجام اقدامات لازم
    if (is_wp_error($result)) {
        $error_message = $result->get_error_message();
        error_log('Error sending order to accounting API: ' . $error_message);
    } else {
        error_log('Order ' . $order_id . ' successfully sent to accounting API.');
    }
}


?>
