<?php
// Display invoice settings page
function accounting_api_connector_invoice_options() {
    if (!current_user_can('manage_options')) {
        wp_die(__('You do not have sufficient permissions to access this page.'));
    }
    ?>
    <div class="wrap">
        <h1>تنظیمات فاکتور</h1>
        <form method="post" action="options.php">
            <?php
            settings_fields('accounting_api_invoice_options_group');
            do_settings_sections('accounting-api-connector-invoice');
            submit_button();
            ?>
        </form>
    </div>
    <?php
}

// Register and define the settings
add_action('admin_init', 'accounting_api_invoice_settings');
function accounting_api_invoice_settings() {
    // Register settings
    register_setting('accounting_api_invoice_options_group', 'accounting_api_logo');
    register_setting('accounting_api_invoice_options_group', 'seller_name');
    register_setting('accounting_api_invoice_options_group', 'seller_economic_number');
    register_setting('accounting_api_invoice_options_group', 'seller_registration_number');
    register_setting('accounting_api_invoice_options_group', 'seller_address');
    register_setting('accounting_api_invoice_options_group', 'seller_postcode');
    register_setting('accounting_api_invoice_options_group', 'seller_phone');

    // Add settings section
    add_settings_section('accounting_api_invoice_main', 'تنظیمات فاکتور', 'accounting_api_invoice_main_text', 'accounting-api-connector-invoice');

    // Add settings fields
    add_settings_field('accounting_api_logo', 'لوگو فاکتور', 'accounting_api_logo_input', 'accounting-api-connector-invoice', 'accounting_api_invoice_main');
    add_settings_field('seller_name', 'نام شخص حقیقی / حقوقی', 'seller_name_input', 'accounting-api-connector-invoice', 'accounting_api_invoice_main');
    add_settings_field('seller_economic_number', 'شماره اقتصادی', 'seller_economic_number_input', 'accounting-api-connector-invoice', 'accounting_api_invoice_main');
    add_settings_field('seller_registration_number', 'شماره ثبت / شناسه ملی', 'seller_registration_number_input', 'accounting-api-connector-invoice', 'accounting_api_invoice_main');
    add_settings_field('seller_address', 'آدرس کامل', 'seller_address_input', 'accounting-api-connector-invoice', 'accounting_api_invoice_main');
    add_settings_field('seller_postcode', 'کد پستی', 'seller_postcode_input', 'accounting-api-connector-invoice', 'accounting_api_invoice_main');
    add_settings_field('seller_phone', 'تلفن / نمابر', 'seller_phone_input', 'accounting-api-connector-invoice', 'accounting_api_invoice_main');
}

function accounting_api_invoice_main_text() {
    echo '<p>لطفا تنظیمات مربوط به فاکتور را وارد کنید:</p>';
}

function accounting_api_logo_input() {
    $logo = get_option('accounting_api_logo');
    echo '<input id="accounting_api_logo" name="accounting_api_logo" type="text" value="' . esc_attr($logo) . '" />';
    echo '<button class="upload_logo_button button">بارگذاری تصویر</button>';
    echo '<p class="description">لطفا یک لوگو برای فاکتور خود انتخاب کنید</p>';
}

function seller_name_input() {
    $name = get_option('seller_name');
    echo '<input id="seller_name" name="seller_name" type="text" value="' . esc_attr($name) . '" />';
}

function seller_economic_number_input() {
    $economic_number = get_option('seller_economic_number');
    echo '<input id="seller_economic_number" name="seller_economic_number" type="text" value="' . esc_attr($economic_number) . '" />';
}

function seller_registration_number_input() {
    $registration_number = get_option('seller_registration_number');
    echo '<input id="seller_registration_number" name="seller_registration_number" type="text" value="' . esc_attr($registration_number) . '" />';
}

function seller_address_input() {
    $address = get_option('seller_address');
    echo '<textarea id="seller_address" name="seller_address">' . esc_textarea($address) . '</textarea>';
}

function seller_postcode_input() {
    $postcode = get_option('seller_postcode');
    echo '<input id="seller_postcode" name="seller_postcode" type="text" value="' . esc_attr($postcode) . '" />';
}

function seller_phone_input() {
    $phone = get_option('seller_phone');
    echo '<input id="seller_phone" name="seller_phone" type="text" value="' . esc_attr($phone) . '" />';
}
?>
