<?php
// Display shipping label settings page
function accounting_api_shipping_label_options() {
    if (!current_user_can('manage_options')) {
        wp_die(__('You do not have sufficient permissions to access this page.'));
    }
    ?>
    <div class="wrap">
        <h1>تنظیمات برچسب پستی</h1>
        <form method="post" action="options.php">
            <?php
            settings_fields('accounting_api_shipping_label_group');
            do_settings_sections('accounting-api-connector-shipping-label');
            submit_button();
            ?>
        </form>
    </div>
    <?php
}

// Register and define the settings
add_action('admin_init', 'accounting_api_shipping_label_settings');
function accounting_api_shipping_label_settings() {
    register_setting('accounting_api_shipping_label_group', 'shipping_sender_name');
    register_setting('accounting_api_shipping_label_group', 'shipping_sender_address');
    register_setting('accounting_api_shipping_label_group', 'shipping_sender_postcode');
    register_setting('accounting_api_shipping_label_group', 'shipping_sender_phone');

    add_settings_section('accounting_api_shipping_label_main', 'Main Settings', 'accounting_api_shipping_label_main_text', 'accounting-api-connector-shipping-label');

    add_settings_field('shipping_sender_name', 'نام و نام خانوادگی فرستنده', 'shipping_sender_name_input', 'accounting-api-connector-shipping-label', 'accounting_api_shipping_label_main');
    add_settings_field('shipping_sender_address', 'آدرس فرستنده', 'shipping_sender_address_input', 'accounting-api-connector-shipping-label', 'accounting_api_shipping_label_main');
    add_settings_field('shipping_sender_postcode', 'کد پستی فرستنده', 'shipping_sender_postcode_input', 'accounting-api-connector-shipping-label', 'accounting_api_shipping_label_main');
    add_settings_field('shipping_sender_phone', 'شماره موبایل فرستنده', 'shipping_sender_phone_input', 'accounting-api-connector-shipping-label', 'accounting_api_shipping_label_main');
}

function accounting_api_shipping_label_main_text() {
    echo '<p>مشخصات فرستنده کالا را وارد کنید:</p>';
}

function shipping_sender_name_input() {
    $name = get_option('shipping_sender_name');
    echo "<input id='shipping_sender_name' name='shipping_sender_name' type='text' value='" . esc_attr($name) . "' />";
}

function shipping_sender_address_input() {
    $address = get_option('shipping_sender_address');
    echo "<input id='shipping_sender_address' name='shipping_sender_address' type='text' value='" . esc_attr($address) . "' />";
}

function shipping_sender_postcode_input() {
    $postcode = get_option('shipping_sender_postcode');
    echo "<input id='shipping_sender_postcode' name='shipping_sender_postcode' type='text' value='" . esc_attr($postcode) . "' />";
}

function shipping_sender_phone_input() {
    $phone = get_option('shipping_sender_phone');
    echo "<input id='shipping_sender_phone' name='shipping_sender_phone' type='text' value='" . esc_attr($phone) . "' />";
}
?>
